Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TamlAssetDeclaredUpdateVisitor Class Reference

`#include <tamlAssetDeclaredUpdateVisitor.h>`

Inheritance diagram for TamlAssetDeclaredUpdateVisitor:

## Public Member Functions
| TamlAssetDeclaredUpdateVisitor ()
virtual | ~TamlAssetDeclaredUpdateVisitor ()
void | setAssetIdFrom (const char *pAssetIdFrom)
StringTableEntry | getAssetIdFrom (void) const
void | setAssetIdTo (const char *pAssetIdTo)
const char * | getAssetIdTo (void) const
virtual bool | wantsPropertyChanges (void)
virtual bool | wantsRootOnly (void)
| Whether the visitor wants to visit the root node only. More...
virtual bool | visit (const TamlParser &parser, TamlVisitor::PropertyState &propertyState)
| The state of the visited property. More...
Public Member Functions inherited from TamlVisitor
| TamlVisitor ()
virtual | ~TamlVisitor ()

## Constructor & Destructor Documentation

TamlAssetDeclaredUpdateVisitor | ( |  | ) |
| inline

virtual ~TamlAssetDeclaredUpdateVisitor | ( |  | ) |
| inline virtual

## Member Function Documentation

StringTableEntry getAssetIdFrom | ( | void |  | ) | const
| inline

const char* getAssetIdTo | ( | void |  | ) | const
| inline

void setAssetIdFrom | ( | const char * | pAssetIdFrom | ) |
| inline

void setAssetIdTo | ( | const char * | pAssetIdTo | ) |
| inline

virtual bool visit | ( | const TamlParser & | parser,
|  | TamlVisitor::PropertyState & | propertyState
| ) |  |
| inline virtual

The state of the visited property.

Implements TamlVisitor.

virtual bool wantsPropertyChanges | ( | void |  | ) |
| inline virtual

Whether the visitor wants to perform property changes. This allows a check against the parser which may not allow changes.

Implements TamlVisitor.

virtual bool wantsRootOnly | ( | void |  | ) |
| inline virtual

Whether the visitor wants to visit the root node only.

Implements TamlVisitor.

The documentation for this class was generated from the following file:

- assets/tamlAssetDeclaredUpdateVisitor.h